package dev.shadowsoffire.apotheosis.ench.objects;

import net.minecraft.core.BlockPos;
import net.minecraft.world.level.LevelReader;
import net.minecraft.world.level.block.state.BlockState;
import net.minecraft.core.particles.ParticleOptions;
import java.util.function.Supplier;
import dev.shadowsoffire.apotheosis.Apoth;
import net.minecraft.world.level.block.state.BlockBehaviour;
import dev.shadowsoffire.apotheosis.ench.api.IEnchantingBlock;

public class TreasureShelfBlock extends TypedShelfBlock implements IEnchantingBlock
{
    public TreasureShelfBlock(final BlockBehaviour.Properties props) {
        super(props, (Supplier<? extends ParticleOptions>)Apoth.Particles.ENCHANT_SCULK);
    }
    
    public boolean allowsTreasure(final BlockState state, final LevelReader world, final BlockPos pos) {
        return true;
    }
    
    public float getQuantaBonus(final BlockState state, final LevelReader world, final BlockPos pos) {
        return -10.0f;
    }
    
    public float getArcanaBonus(final BlockState state, final LevelReader world, final BlockPos pos) {
        return 10.0f;
    }
}
